Risultati da 1 a 3 di 3
  1. #1
    Moderatore L'avatar di stefanobruno
    Iscritto dal
    2008
    Messaggi
    2248
    Professione
    Progettazione caotica e notturna e Seguace Anonimo di Shiren :)
    Regione
    Piemonte,Torino
    Software
    Inventor 2016 - Autocad ( read only ) - Rhino un pochino

    Predefinito Centraggio automatico quote dopo sostituzione rif. modello

    Avevo trovato una spuntina che mi consentiva di avere le quote centrate anche dopo la sostituzione del modello legato ad una messa in tavola, ora avrei bisogno di quella opzione e non la trovo più, qualcuno sa dove devo guardare ? ( inv. 2014 )

    Grazie.
    La sintesi perfetta : " E' come parlare con l' aspirapolvere " ( Gino Strada al blablatore di turno )

  2. #2
    Utente Standard L'avatar di Catafratto
    Iscritto dal
    2011
    Messaggi
    809
    Professione
    Disegnatore/progettista
    Regione
    Veneto
    Software
    Inventor 2016

    Predefinito

    Citazione Originariamente Scritto da stefanobruno Visualizza Messaggio
    Avevo trovato una spuntina che mi consentiva di avere le quote centrate anche dopo la sostituzione del modello legato ad una messa in tavola, ora avrei bisogno di quella opzione e non la trovo più, qualcuno sa dove devo guardare ? ( inv. 2014 )

    Grazie.
    Ho trovato solo un "Centra quote alla creazione" nelle Opzioni Applicazione > Disegno (INv.2014)... interesserebbe molto anche a me!
    Spesso astuzia ed intelligenza sono molto più efficaci dell'ottusa forza bruta: ma non ho proprio tempo di cercare qualcun alltro...

  3. #3
    Utente Standard L'avatar di Catafratto
    Iscritto dal
    2011
    Messaggi
    809
    Professione
    Disegnatore/progettista
    Regione
    Veneto
    Software
    Inventor 2016

    Predefinito

    Finchè non trovi la spunta...
    Lo sto provando/usando e pare funzioni.

    Codice:
    ' Centra tutte le quote lineari ed angolari
    ' in tutti i fogli della tavola
    Public Sub CentraQuote()
        Dim oDoc As Document
        Dim oDrw As DrawingDocument
        
        Set oDoc = ThisApplication.ActiveEditDocument
        
        If oDoc.DocumentType = kDrawingDocumentObject Then
            Set oDrw = oDoc
        Else
            Exit Sub
        End If
        
        Dim oSheet As Sheet
        Dim oDrawDim As DrawingDimension
        
        For Each oSheet In oDrw.Sheets
            For Each oDrawDim In oSheet.DrawingDimensions
                If TypeOf oDrawDim Is LinearGeneralDimension Or _
                    TypeOf oDrawDim Is AngularGeneralDimension Then
                        Call oDrawDim.CenterText
                End If
            Next
        Next
    End Sub
    - Edit -
    Ecco, appunto. Adesso l'ho impallato, ho fatto un paio di modifiche
    Spesso astuzia ed intelligenza sono molto più efficaci dell'ottusa forza bruta: ma non ho proprio tempo di cercare qualcun alltro...


  • Discussioni Simili

    1. Quote esplose dopo ogni comando
      Di simpson nel forum AutoCAD
      Risposte: 2
      Ultimo Messaggio: 09-06-2010, 19: 02
    2. Risposte: 7
      Ultimo Messaggio: 16-03-2010, 11: 39
    3. Sostituzione testo quote
      Di paolobura nel forum Revit
      Risposte: 3
      Ultimo Messaggio: 09-07-2008, 14: 19
    4. Family Table e sostituzione modello
      Di arimans nel forum Creo Parametric (ex Pro/E)
      Risposte: 1
      Ultimo Messaggio: 18-02-2008, 14: 23
    5. Generazione Modello automatico
      Di kink nel forum CAE/FEM/CFD forum generale
      Risposte: 2
      Ultimo Messaggio: 14-01-2008, 15: 37

    Segnalibri

    Segnalibri

    Permessi di Scrittura

    • Tu non puoi inviare nuove discussioni
    • Tu non puoi inviare risposte
    • Tu non puoi inviare allegati
    • Tu non puoi modificare i tuoi messaggi
    •  





    CAD3D.it - la community dei progettisti